<?php
/* Copyright (C) 2015       Charles-fr BENKE              <charles.fr@benke.fr>
 * Copyright (C) 2016	    Philippe SAGOT (Philazerty)   <courrier@mon-dolibarr.fr>
 * Copyright (C) 2017	    Laurent DINCLAUX (loxK)   <laurent@gecka.nc>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *    \file        htdocs/geckanewcaledonia/admin/about.php
 *    \ingroup    geckanewcaledonia
 *    \brief        about page
 */

// Dolibarr environment
//uggly hack to work arround module being symlink to a dolibarr install
$_dir = dirname(dirname(dirname($_SERVER['SCRIPT_FILENAME'])));

$res = 0;
if (! $res && file_exists($_dir . "/main.inc.php")) {
    $res = @include($_dir . "/main.inc.php");
}        // For root directory
if (! $res && file_exists($_dir . "/../main.inc.php")) {
    $res = @include($_dir . "/../main.inc.php");
}    // For "custom" directory

require_once DOL_DOCUMENT_ROOT . '/core/lib/admin.lib.php';
dol_include_once('/geckanewcaledonia/core/lib/main.lib.php');

$langs->load("admin");
$langs->load("geckanewcaledonia@geckanewcaledonia");

// Access control
if (! $user->admin) {
    accessforbidden();
}

/*
 * View
 */
llxHeader('', $langs->trans("GeckaNewCaledonia"), $help_url);

$linkback = '<a href="' . DOL_URL_ROOT . '/admin/modules.php">' . $langs->trans("BackToModuleList") . '</a>';
print load_fiche_titre($langs->trans("GeckaNewCaledoniaSetup"), $linkback, 'title_setup');

// Configuration header
$head = geckanewcaledonia_admin_prepare_head();
dol_fiche_head($head, 'about', $langs->trans("GeckaNewCaledonia"), 0, "list");

// About page goes here
?>
<p>Les fonctionnalités du <strong>Pack NC</strong> pour Dolibarr:</p>
<ul>
    <li>Permet de configurer le dictionnaires des taxes pour la Nouvelle-Calédonie (TGC + TSS) en un click</li>
    <li>Permet de surcharger les traductions ce qui apporte notamment:
        <ul>
            <li>les apellations TGC et TSS</li>
            <li>la phrase légale "Franchise en base, TGC non applicable"</li>
            <li>le séparateur des milliers</li>
        </ul>
    </li>
    <li>Permet de cloner les statuts juridiques français vers la Nouvelle-Calédonie</li>
    <li>Fourni 3 modèles paramétrables pour commandes, factures et propales:
        <ul><li>Personnalisation des couleurs</li>
            <li>Un repère de pliage pour la mise sous enveloppe</li>
            <li>Possibilité d'avoir une colonne unique TAXES contenant la taux total des taxes (TGC + TSS si applicable)</li>
            <li>Possibilité d'avoir une colonne par taxe (TGC et TSS si applicable)</li>
            <li>Possibilité d'ajouter une colonne de la taxe calculée article par article</li></ul>
    </li>

</ul>

<p><strong>Testé sur</strong> Dolibarr V7.0.x</p>

<?php
print '<H3>' . $langs->trans("MadeByGecka") . '</H3>';
$url = 'https://gecka.nc';
print '<a href="' . $url . '" target="_blank"><img border="0" src="' . dol_buildpath(
    '/geckanewcaledonia/assets/images/Logo-m.png',
    1
) . '"></a>';

print '<H3>Licence</H3>';
print '<p>GPL v3 et supérieur.<br>';
print'<img src="' . dol_buildpath(
    '/geckanewcaledonia/assets/images/GPLv3_Logo.png',
    1
) . '" style="height: auto; max-width: 100px" />';

print '<H3>Faire un don</H3>';

?>
<p>Nous ne comptons pas pour l'instant monétiser la distribution de ce module mais il a demandé beaucoup de travail.
    Merci de nous soutenir.</p>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
    <input type="hidden" name="cmd" value="_s-xclick">
    <input type="hidden" name="hosted_button_id" value="T4BLD6PZVEJLA">
    <input type="image" src="https://www.paypalobjects.com/fr_FR/FR/i/btn/btn_donateCC_LG.gif" border="0" name="submit"
           alt="PayPal, le réflexe sécurité pour payer en ligne">
    <img alt="" border="0" src="https://www.paypalobjects.com/fr_FR/i/scr/pixel.gif" width="1" height="1">
</form>
<?php
llxFooter();
$db->close();
?>
