<?php
/* Copyright (C) 2015       Charles-fr BENKE              <charles.fr@benke.fr>
 * Copyright (C) 2016	    Philippe SAGOT (Philazerty)   <courrier@mon-dolibarr.fr>
 * Copyright (C) 2017	    Laurent DINCLAUX (loxK)   <laurent@gecka.nc>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *  \file       htdocs/geckanewcaledonia/admin/about.php
 *  \ingroup    geckanewcaledonia
 *  \brief      about page
 */

// Dolibarr environment
//uggly hack to work arround module being symlink to a dolibarr install
$_dir = dirname(dirname(dirname($_SERVER['SCRIPT_FILENAME'])));

$res = 0;
if (! $res && file_exists($_dir . "/main.inc.php")) {
    $res = @include($_dir . "/main.inc.php");
}        // For root directory
if (! $res && file_exists($_dir . "/../main.inc.php")) {
    $res = @include($_dir . "/../main.inc.php");
}    // For "custom" directoryy

require_once DOL_DOCUMENT_ROOT . '/core/lib/admin.lib.php';
dol_include_once('/geckanewcaledonia/core/lib/main.lib.php');

$langs->load("admin");
$langs->load("geckanewcaledonia@geckanewcaledonia");

// Access control
if (!$user->admin) {
    accessforbidden();
}

/*
 * View
 */
llxHeader('', $langs->trans("GeckaNewCaledonia"), $help_url);

$linkback='<a href="'.DOL_URL_ROOT.'/admin/modules.php">'.$langs->trans("BackToModuleList").'</a>';
print load_fiche_titre($langs->trans("ChangeLog"), $linkback, 'title_setup');

// Configuration header
$head = geckanewcaledonia_admin_prepare_head();
dol_fiche_head($head, 'changelog', $langs->trans("GeckaNewCaledonia"), 0, 'list');

// ChangeLog page goes here
print '<H3>'.$langs->trans("HistoryUpdates").'</H3>';
print  nl2br(file_get_contents('../changelog.txt'));

llxFooter();
$db->close();
